LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Password
Debian This forum is for the discussion of Debian Linux.

Notices

Reply
 
Search this Thread
Old 08-26-2009, 12:32 PM   #1
benji906
LQ Newbie
 
Registered: Aug 2009
Posts: 8

Rep: Reputation: 0
Question ATI Driver Installation Problems HD 3870


Hi,

So I'm a newbie, and I've been trying to install the ATI proprietary drivers without any success.

I've followed both methods on this site

http://wiki.cchtml.com/index.php/Deb...allation_Guide


I end up with this message :
Quote:
Build of the package fglrx-kernel-src failed!

When typing:
Quote:
module-assistant auto-install fglrx-kernel-src
Any help appreciated
 
Old 08-26-2009, 03:00 PM   #2
jim_p
Member
 
Registered: Aug 2009
Distribution: Debian testing
Posts: 481

Rep: Reputation: 108Reputation: 108
What branch are you on and what kernel?
 
Old 08-26-2009, 04:24 PM   #3
benji906
LQ Newbie
 
Registered: Aug 2009
Posts: 8

Original Poster
Rep: Reputation: 0
I'm using the debian kde testing branch
kernel:

2.6.30-1-686
 
Old 08-26-2009, 06:25 PM   #4
mushroomboy
Member
 
Registered: Jan 2006
Distribution: Debian Testing ALWAYS!!!
Posts: 363

Rep: Reputation: 43
Try downloading the installer from the ATi website. module assistant tends to be picky and has failed on me various times where downloading from the ATi or Nvidia (usually Nvidia for me) works more than not. If that doesn't help we will need to see the error message module-assistant is giving by viewing the error log. try running this:

m-a prepare
 
Old 08-27-2009, 12:34 AM   #5
jdkaye
Senior Member
 
Registered: Dec 2008
Location: Westgate-on-Sea, Kent, UK
Distribution: Debian Testing Amd64
Posts: 4,415

Rep: Reputation: Disabled
Have you installed the kernel headers for your kernel? m-a requires these to build the fglrx driver which is kernel-specific (you'll have to do it every time you change kernels if you're using the proprietary driver). I think the 2.6.30 supports it's own fglrx-module package so you might consider using that instead of the the proprietary driver.
cheers,
jdk
 
Old 08-27-2009, 01:53 AM   #6
jim_p
Member
 
Registered: Aug 2009
Distribution: Debian testing
Posts: 481

Rep: Reputation: 108Reputation: 108
It's not the headers' or the kernel's fault. Fglrx is not compatible with every kernel.

The testing branch hosts kernel 2.6.30 and fglrx 9.2. Let me explain how compatible is the fglrx series with numbers and kernel versions. (compatible = can be built with kernel).

9.2 is compatible up to kernel 2.6.27.

9.3 to 9.7 are compatible up to kernel 2.6.28 (9.3=partially, 9.7=full).

9.8 is compatible with kernels 2.6.29 and 2.6.30.

Compatibility for 2.6.31 (likely to go stable in September) will come with the release of ubuntu 9.10 on October. Needless to say why...

9.8 is hosted on sid's repos today if you want to give it a shot and not to mess with ati's installer.

(I know the above first hand because I am on a 3850)

Last edited by jim_p; 08-27-2009 at 02:04 AM.
 
Old 08-29-2009, 06:02 AM   #7
benji906
LQ Newbie
 
Registered: Aug 2009
Posts: 8

Original Poster
Rep: Reputation: 0
Sorry for not having been able to answer yesterday. Thank you for your answers

Thank you very much jim_p I wasn't aware of ati => kernel compatibility thing.
I'll check it out right now, and tell you if I get any other problems.
 
Old 08-29-2009, 06:26 AM   #8
benji906
LQ Newbie
 
Registered: Aug 2009
Posts: 8

Original Poster
Rep: Reputation: 0
" "

Last edited by benji906; 08-29-2009 at 06:59 AM. Reason: removed it because i should RTFM xD
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
ATI Radeon HD 3870 fglrx acceleration setup chickenlinux Slackware 7 03-07-2009 06:27 PM
Problem configuring ATI Radeon 3870 with ATI CCC on Fedora 10 chickenlinux Linux - Software 11 01-25-2009 10:49 PM
Ubuntu 8.04 64-bit display problems with a ATI HD 3870 Lord Hakk Linux - Desktop 0 06-13-2008 08:53 PM
ATI Radeon 3870 driver rehan999 Linux - Software 2 03-08-2008 11:47 PM
After updates: ati driver installation problems 4hp Fedora 0 09-16-2004 02:38 PM


All times are GMT -5. The time now is 12:14 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration